de.dhbwstuttgart.myexception

## Class CTypeReconstructionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - de.dhbwstuttgart.myexception.CTypeReconstructionException

All Implemented Interfaces:
  java.io.Serializable

    public class CTypeReconstructionException
    extends java.lang.RuntimeException

Version:
  $Date: 2006/06/13 10:37:31 $
Author:
  JÃ¯Â¿Â½rg BÃ¯Â¿Â½uerle
See Also:
  Serialized Form

### Field Summary

Fields
`private java.lang.String` `message`
`Menge<CTypeReconstructionException>` `parentExceptions`
`private IItemWithOffset` `problemSource` Das Statement bei dem das Problem aufgetaucht ist
`private static long` `serialVersionUID`

### Constructor Summary

Constructors
Constructor and Description
`CTypeReconstructionException(java.lang.String message, IItemWithOffset problemSource)`
`CTypeReconstructionException(java.lang.String message, Menge<CTypeReconstructionException> parentExceptions, IItemWithOffset problemSource)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static CTypeReconstructionException` `createNotImplementedException()`
`Menge<IItemWithOffset>` `getHighestProblemSources()`
`java.lang.String` `getMessage()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

#### parentExceptions

    public Menge<CTypeReconstructionException> parentExceptions

#### problemSource

    private IItemWithOffset problemSource

Das Statement bei dem das Problem aufgetaucht ist

#### message

    private java.lang.String message

### Constructor Detail

#### CTypeReconstructionException

    public CTypeReconstructionException(java.lang.String message,
                                        IItemWithOffset problemSource)

#### CTypeReconstructionException

    public CTypeReconstructionException(java.lang.String message,
                                        Menge<CTypeReconstructionException> parentExceptions,
                                        IItemWithOffset problemSource)

### Method Detail

#### getHighestProblemSources

    public Menge<IItemWithOffset> getHighestProblemSources()

#### getMessage

    public java.lang.String getMessage()

Overrides:
  `getMessage` in class `java.lang.Throwable`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Throwable`

#### createNotImplementedException

    public static CTypeReconstructionException createNotImplementedException()